Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management
Class JBossJ2EEApplication

    java.lang.Object
      |
      +--org.jboss.management.JBossJ2EEManagedObject
            |
            +--org.jboss.management.JBossJ2EEModule
                  |
                  +--org.jboss.management.JBossJ2EEApplication

All Implemented Interfaces:
  management.J2EEApplication, management.J2EEManagedObject, management.J2EEModule, java.io.Serializable

public synchronized class JBossJ2EEApplication
extends JBossJ2EEModule
implements management.J2EEApplication

See Also:
  Serialized Form

Constructor Summary
`JBossJ2EEApplication(java.lang.String, management.J2EEServer[], management.J2EEModule[])`

Method Summary
`management.J2EEModule` | `getModule(int)`
`management.J2EEModule[]` | `getModules()`
`management.J2EEServer` | `getServer(int)`
`management.J2EEServer[]` | `getServers()`
`void` | `setModules(management.J2EEModule[])`
`void` | `setServers(management.J2EEServer[])`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.management.JBossJ2EEModule
`getApplication, getDeploymentDescriptor, setApplication, setDeploymentDescriptor`

Methods inherited from class org.jboss.management.JBossJ2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface management.J2EEModule
`getApplication, getDeploymentDescriptor, setApplication, setDeploymentDescriptor`

Methods inherited from interface management.J2EEManagedObject
`getName, hasStatistics, isStateManageable, setName`

Constructor Detail

### JBossJ2EEApplication

    public JBossJ2EEApplication(java.lang.String,
                                management.J2EEServer[],
                                management.J2EEModule[])

Method Detail

### getModule

    public management.J2EEModule getModule(int)

  Specified by:
    `getModule` in interface `management.J2EEApplication`

### getModules

    public management.J2EEModule[] getModules()

  Specified by:
    `getModules` in interface `management.J2EEApplication`

### getServer

    public management.J2EEServer getServer(int)

  Specified by:
    `getServer` in interface `management.J2EEApplication`

### getServers

    public management.J2EEServer[] getServers()

  Specified by:
    `getServers` in interface `management.J2EEApplication`
  Overrides:
    `getServers` in class `JBossJ2EEModule`

### setModules

    public void setModules(management.J2EEModule[])

  Specified by:
    `setModules` in interface `management.J2EEApplication`

### setServers

    public void setServers(management.J2EEServer[])

  Specified by:
    `setServers` in interface `management.J2EEApplication`
  Overrides:
    `setServers` in class `JBossJ2EEModule`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.